Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Standard Widget Toolkit (SWT) » Code signature error: could not load SWT library in OS X Catalina
Code signature error: could not load SWT library in OS X Catalina [message #1828594] Sun, 14 June 2020 05:11
Shaokai Lin is currently offline Shaokai LinFriend
Messages: 5
Registered: June 2020
Junior Member
Hi everyone,

I am trying to run an Xtend project from the Eclipse IDE but after I click Run As -> Eclipse Application, Eclipse outputs the error below:

(simplified path for readability)
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons: 
	/Users/.../.../.cp/libswt-cocoa-4932r18.jnilib: dlopen(/Users/.../.../.cp/libswt-cocoa-4932r18.jnilib, 1): no suitable image found.  Did find:
	/Users/.../.../.cp/libswt-cocoa-4932r18.jnilib: code signature in (/Users/.../.../.cp/libswt-cocoa-4932r18.jnilib) not valid for use in process using Library Validation: mapping process and mapped file (non-platform) have different Team IDs
	/Users/.../.../.cp/libswt-cocoa-4932r18.jnilib: stat() failed with errno=316
	no swt-cocoa in java.library.path: [/Users/xxx/Library/Java/Extensions, /Library/Java/Extensions, /Network/Library/Java/Extensions, /System/Library/Java/Extensions, /usr/lib/java, .]
	/Users/shaokai/.swt/lib/macosx/x86_64/libswt-cocoa-4932r18.jnilib: dlopen(/Users/shaokai/.swt/lib/macosx/x86_64/libswt-cocoa-4932r18.jnilib, 1): no suitable image found.  Did find:
	/Users/shaokai/.swt/lib/macosx/x86_64/libswt-cocoa-4932r18.jnilib: code signature in (/Users/shaokai/.swt/lib/macosx/x86_64/libswt-cocoa-4932r18.jnilib) not valid for use in process using Library Validation: mapping process and mapped file (non-platform) have different Team IDs
	Can't load library: /Users/shaokai/.swt/lib/macosx/x86_64/libswt-cocoa.jnilib
	/Users/shaokai/.swt/lib/macosx/x86_64/libswt-cocoa-4932r18.jnilib: dlopen(/Users/shaokai/.swt/lib/macosx/x86_64/libswt-cocoa-4932r18.jnilib, 1): no suitable image found.  Did find:
	/Users/shaokai/.swt/lib/macosx/x86_64/libswt-cocoa-4932r18.jnilib: code signature in (/Users/shaokai/.swt/lib/macosx/x86_64/libswt-cocoa-4932r18.jnilib) not valid for use in process using Library Validation: mapping process and mapped file (non-platform) have different Team IDs

	at org.eclipse.swt.internal.Library.loadLibrary(Library.java:342)
	at org.eclipse.swt.internal.Library.loadLibrary(Library.java:256)
	at org.eclipse.swt.internal.C.<clinit>(C.java:19)
	at org.eclipse.swt.widgets.Display.<clinit>(Display.java:107)
	at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:760)
	at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:166)
	at org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:180)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:123)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:203)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:137)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:107)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:401)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:255)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:567)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:657)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:594)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1447)
	at org.eclipse.equinox.launcher.Main.main(Main.java:1420)


I suspect this is an OS X Catalina problem, as I've heard that it enforces a stricter requirement on code signatures in this new version.

Any thoughts on resolving this issue? Thanks very much.

Shaokai
Previous Topic:ScrolledComposite Question
Next Topic:What are the minimum requirements of SWT (OSX)
Goto Forum:
  


Current Time: Sat Apr 17 08:40:04 GMT 2021

Powered by FUDForum. Page generated in 0.01199 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top